#include "CoreStoreItemWidget.h"
#include "EFlagSize.h"

class UStoreItemViewData;
class UCoreButtonWidget;
class UCoreSelectableButtonWidget;
class UCoreTimerFlagWidget;
class UCorePriceTagWidget;

void UCoreStoreItemWidget::SetTimerFlagSize(EFlagSize flagSize)
{

}

void UCoreStoreItemWidget::SetStoreItemLayout(int32 layoutMask)
{

}

void UCoreStoreItemWidget::SetStoreItemData_Implementation(UStoreItemViewData* data)
{

}

void UCoreStoreItemWidget::SetShowTooltipOnHover(const bool showTooltipOnHover)
{

}

void UCoreStoreItemWidget::SetScale(float scale)
{

}

void UCoreStoreItemWidget::SetPriceTagScale(const float priceTagScale)
{

}

void UCoreStoreItemWidget::OnButtonUnhovered(UCoreButtonWidget* targetButton)
{

}

void UCoreStoreItemWidget::OnButtonSelectedChanged(UCoreSelectableButtonWidget* targetButton, bool isSelected)
{

}

void UCoreStoreItemWidget::OnButtonHovered(UCoreButtonWidget* targetButton)
{

}

bool UCoreStoreItemWidget::IsTagEnabled(const int32 layoutMask) const
{
	return false;
}

UCoreTimerFlagWidget* UCoreStoreItemWidget::CreateTimerFlagWidget()
{
	return NULL;
}

UCorePriceTagWidget* UCoreStoreItemWidget::CreatePriceTagWidget()
{
	return NULL;
}

void UCoreStoreItemWidget::ClearTimerFlagWidgets()
{

}

void UCoreStoreItemWidget::ClearPriceTagWidgets()
{

}

void UCoreStoreItemWidget::BindHoverBorder_Implementation(const bool isInteractable)
{

}

UCoreStoreItemWidget::UCoreStoreItemWidget()
{
	this->_layoutMask = 0;
	this->_priceTagWidgetClass = NULL;
	this->_timerFlagWidgetClass = NULL;
	this->_preConstructedPriceTagCount = 1;
	this->_preConstructedTimerFlagCount = 0;
	this->_showTooltipOnHover = true;
	this->_tooltipHorizontalAlignment = ETooltipHorizontalAlignment::Default;
	this->_tooltipVerticalAlignment = ETooltipVerticalAlignment::Default;
	this->_flagSize = EFlagSize::Short;
}
